org.apache.maven.scm.plugin

## Class BootstrapMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.apache.maven.scm.plugin.AbstractScmMojo
    - - org.apache.maven.scm.plugin.CheckoutMojo
      - - org.apache.maven.scm.plugin.BootstrapMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

    public class BootstrapMojo
    extends CheckoutMojo

Pull the project source from the configured scm and execute the configured goals.

Version:
  $Id: BootstrapMojo.java 733515 2009-01-11 20:37:15Z dantran $
Author:
  Dan T. Tran

### Field Summary

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`BootstrapMojo()`

### Method Summary

Methods
`protected String` `determineWorkingDirectoryPath(File checkoutDirectory, String relativePathProjectDirectory, String goalsDirectory)` Determines the path of the working directory.
`void` `execute()`

### Methods inherited from class org.apache.maven.scm.plugin.CheckoutMojo

`checkout, getCheckoutDirectory, getCheckoutResult, setCheckoutDirectory`

### Methods inherited from class org.apache.maven.scm.plugin.AbstractScmMojo

`checkResult, getConnectionUrl, getExcludes, getFileSet, getIncludes, getScmManager, getScmRepository, getScmVersion, getWorkingDirectory, setConnectionType, setConnectionUrl, setExcludes, setIncludes, setWorkingDirectory`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BootstrapMojo

    public BootstrapMojo()

### Method Detail

#### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException

Specified by:
  `execute` in interface `org.apache.maven.plugin.Mojo`
Overrides:
  `execute` in class `CheckoutMojo`
Throws:
  `org.apache.maven.plugin.MojoExecutionException`

#### determineWorkingDirectoryPath

    protected String determineWorkingDirectoryPath(File checkoutDirectory,
                                       String relativePathProjectDirectory,
                                       String goalsDirectory)

Determines the path of the working directory. By default, this is the checkout directory. For some SCMs, the project root directory is not the checkout directory itself, but a SCM-specific subdirectory. The build can furthermore optionally be executed in a subdirectory of this project directory, in case.

Parameters:
  `checkoutDirectory` -
  `relativePathProjectDirectory` -
  `goalsDirectory` -
Returns: